<template>
    <Table
        url="/ranger/inspection/api/v1/specialities/staffs"
        rowKey="staffId"
        ref="table"
        :defaultQuery="defaultQuery"
        :width="552"
    >
        <a-table-column title="部门" data-index="orgName" />
        <a-table-column title="用户姓名" data-index="staffName" />
    </Table>
</template>

<script>
import Table from '@/components/table/table.vue';
export default {
    components: { Table },
    props: { hidden: Function, row: Object },
    watch: {
        row: {
            handler(val) {
                console.log(val);
                this.defaultQuery = { specialityId: val.specialityId };
            },
            deep: true,
            immediate: true,
        },
    },
    data() {
        return {
            defaultQuery: {},
        };
    },
    mounted() {},
    methods: {},
};
</script>
